summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-11-04 02:32:16 +0000
committerMike Frysinger <vapier@gentoo.org>2005-11-04 02:32:16 +0000
commit337957a79e26b67eda2ef3bd5af71f75217b32b5 (patch)
treec431906145fd85c005b71a5a4f4924e49208cf97 /eclass/toolchain.eclass
parentMarking libdvdcss-1.2.9 ppc64 stable for bug 111132 (diff)
downloadgentoo-2-337957a79e26b67eda2ef3bd5af71f75217b32b5.tar.gz
gentoo-2-337957a79e26b67eda2ef3bd5af71f75217b32b5.tar.bz2
gentoo-2-337957a79e26b67eda2ef3bd5af71f75217b32b5.zip
change default abi for mips64 toolchains to n32 and add a warning if we skip libstdc++ doc generation
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index f6066fb6ad04..b7247ad718a1 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.213 2005/10/18 23:02:59 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.214 2005/11/04 02:32:16 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1060,7 +1060,7 @@ gcc-compiler-configure() {
# Add --with-abi flags to enable respective MIPS ABIs
mips)
if is_crosscompile && is_multilib; then
- confgcc="${confgcc} --with-abi=32 --with-abi=n32 --with-abi=64"
+ confgcc="${confgcc} --with-abi=32 --with-abi=64 --with-abi=n32"
else
is_multilib && confgcc="${confgcc} --with-abi=32"
use n64 && confgcc="${confgcc} --with-abi=64"
@@ -1307,10 +1307,12 @@ gcc_do_make() {
${GCC_MAKE_TARGET} \
|| die "emake failed with ${GCC_MAKE_TARGET}"
- if ! use build && ! is_crosscompile ; then
- if ! use nocxx && type -p doxygen > /dev/null ; then
+ if ! use build && ! is_crosscompile && ! use nocxx ; then
+ if type -p doxygen > /dev/null ; then
cd "${CTARGET}"/libstdc++-v3
make doxygen-man || ewarn "failed to make docs"
+ else
+ ewarn "Skipping libstdc++ manpage generation since you don't have doxygen installed"
fi
fi